tests:
  stage: test
  image: continuumio/miniconda3:latest
  before_script:
    - conda env create -f environment.yaml
    - source activate atd2020
  script:
    - pytest
    - isort . --check --diff
    - black --check .
    - pydocstyle atd2020
    - interrogate atd2020
  artifacts:
      paths:
      - htmlcov/
      reports:
        junit: test-reports/test-reports.xml

pages:
  stage: deploy
  image: continuumio/miniconda3:latest
  dependencies:
    - tests
  before_script:
    - pip install .[dev]  # TODO: reduce dependencies
  script:
    - sphinx-build -b html docs/ public/docs
    - mv htmlcov/ public/cov
  artifacts:
    paths:
      - public
  only:
    - master
